Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Registry
KZ
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Create
        • Update
        • Delete
        • Get
        • List
        • ChangeState
        • DryRun
        • GetDryRunResult
        • ListDryRunResults
        • ListDryRunArtifacts
  • Метрики Monitoring
  • Аудитные логи Audit Trails

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • LifecycleRule
  • KeepByAgeLifecycleRule
  • KeepByVersionLifecycleRule
  • DeleteLifecycleRule
  • DeleteByVersionCondition
  • DockerFilters
  • MavenFilters
  1. Справочник API
  2. REST (англ.)
  3. LifecyclePolicy
  4. GetDryRunResult

Yandex Cloud Registry API, REST: LifecyclePolicy.GetDryRunResult

Статья создана
Yandex Cloud
Обновлена 2 сентября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • LifecycleRule
  • KeepByAgeLifecycleRule
  • KeepByVersionLifecycleRule
  • DeleteLifecycleRule
  • DeleteByVersionCondition
  • DockerFilters
  • MavenFilters

Returns one dry run result by its ID.

HTTP requestHTTP request

GET https://registry.api.yandexcloud.kz/cloud-registry/v1/lifecyclePolicyDryRunResults/{dryRunId}

Path parametersPath parameters

Field

Description

dryRunId

string

Required field. ID of the dry run.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "policyId": "string",
  "runAt": "string",
  "artifactsToHardDeleteCount": "string",
  "artifactsToSoftDeleteCount": "string",
  "dryRunId": "string",
  "policySnapshot": [
    {
      // Includes only one of the fields `keepByAge`, `keepByVersion`, `delete`
      "keepByAge": {
        "youngerThanDays": "string"
      },
      "keepByVersion": {
        "keepVersionsCount": "string"
      },
      "delete": {
        // Includes only one of the fields `olderThanDays`, `versionCondition`, `always`
        "olderThanDays": "string",
        "versionCondition": {
          "versionsCountGreaterThan": "string"
        },
        "always": "boolean",
        // end of the list of possible fields
        "type": "string",
        "cooldownPeriodDays": "string"
      },
      // end of the list of possible fields
      // Includes only one of the fields `dockerFilters`, `mavenFilters`
      "dockerFilters": {
        "tagStatus": "string"
      },
      "mavenFilters": {
        "versionType": "string"
      },
      // end of the list of possible fields
      "pathPrefix": "string",
      "versionRegexp": "string",
      "description": "string"
    }
  ]
}

Field

Description

policyId

string

ID of the lifecycle policy.

runAt

string (date-time)

Time when the dry run started.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

artifactsToHardDeleteCount

string (int64)

Count of artifacts to be hard deleted.

artifactsToSoftDeleteCount

string (int64)

Count of artifacts to be soft deleted.

dryRunId

string

ID of this dry run. Use it to get this result again later.

policySnapshot[]

LifecycleRule

Copy of the policy rules at the time of the dry run.

LifecycleRuleLifecycleRule

A rule that defines lifecycle policy behavior.

Field

Description

keepByAge

KeepByAgeLifecycleRule

Rule that keeps artifacts by age.

Includes only one of the fields keepByAge, keepByVersion, delete.

Type of lifecycle rule.

keepByVersion

KeepByVersionLifecycleRule

Rule that keeps artifacts by version count.

Includes only one of the fields keepByAge, keepByVersion, delete.

Type of lifecycle rule.

delete

DeleteLifecycleRule

Rule that deletes artifacts.

Includes only one of the fields keepByAge, keepByVersion, delete.

Type of lifecycle rule.

dockerFilters

DockerFilters

Docker-specific filters.

Includes only one of the fields dockerFilters, mavenFilters.

Filters to determine which artifacts the rule applies to.

mavenFilters

MavenFilters

Maven-specific filters.

Includes only one of the fields dockerFilters, mavenFilters.

Filters to determine which artifacts the rule applies to.

pathPrefix

string

Path prefix to which the rule applies.

versionRegexp

string

Regular expression pattern to match package version or docker tag.

description

string

Description of the lifecycle policy rule

KeepByAgeLifecycleRuleKeepByAgeLifecycleRule

Rule that keeps artifacts younger than specified age.

Field

Description

youngerThanDays

string (int64)

Keep artifacts younger than this number of days.

KeepByVersionLifecycleRuleKeepByVersionLifecycleRule

Rule that keeps a specified number of recent versions.

Field

Description

keepVersionsCount

string (int64)

Number of versions to keep.

DeleteLifecycleRuleDeleteLifecycleRule

Rule that deletes artifacts based on specified conditions.

Field

Description

olderThanDays

string (int64)

Delete artifacts older than specified days.

Includes only one of the fields olderThanDays, versionCondition, always.

Condition that triggers deletion.

versionCondition

DeleteByVersionCondition

Delete artifacts by version count condition.

Includes only one of the fields olderThanDays, versionCondition, always.

Condition that triggers deletion.

always

boolean

Always delete (use with caution).

Includes only one of the fields olderThanDays, versionCondition, always.

Condition that triggers deletion.

type

enum (DeleteLifecycleRuleKind)

Type of deletion.

  • HARD_DELETE: Hard delete - artifacts are permanently removed.
  • SOFT_DELETE: Soft delete - artifacts are marked for deletion but can be recovered.

cooldownPeriodDays

string (int64)

Cooldown period in days before deletion.

DeleteByVersionConditionDeleteByVersionCondition

Condition for deletion based on version count.

Field

Description

versionsCountGreaterThan

string (int64)

Delete when version count exceeds this number.

DockerFiltersDockerFilters

Docker-specific filters for lifecycle rules.

Field

Description

tagStatus

enum (TagStatus)

Filter by tag status.

  • TAG_STATUS_ANY: Any tag status.
  • TAGGED: Only tagged images.
  • UNTAGGED: Only untagged images.

MavenFiltersMavenFilters

Maven-specific filters for lifecycle rules.

Field

Description

versionType

enum (VersionType)

Filter by version type.

  • VERSION_TYPE_ANY: Any version type.
  • RELEASE: Only release versions.
  • SNAPSHOT: Only snapshot versions.

Была ли статья полезна?

Предыдущая
DryRun
Следующая
ListDryRunResults
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»